Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ExtUtils::MM_MacOS

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# ExtUtils::MM_MacOS

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

ExtUtils::MM_MacOS - once produced Makefiles for MacOS Classic

# SYNOPSIS

      # MM_MacOS no longer contains any code.  This is just a stub.

# DESCRIPTION

Once upon a time, MakeMaker could produce an approximation of a correct Makefile on MacOS Classic (MacPerl). Due to a lack of maintainers, this fell out of sync with the rest of MakeMaker and hadn't worked in years. Since there's little chance of it being repaired, MacOS Classic is fading away, and the code was icky to begin with, the code has been deleted to make maintenance easier.

Those interested in writing modules for MacPerl should use Module::Build which works better than MakeMaker ever did.

Anyone interested in resurrecting this file should pull the old version from the MakeMaker CVS repository and contact makemaker@perl.org, but we really encourage you to work on Module::Build instead.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION